use bevy::prelude::*;

pub struct SetupPlugin;

#[derive(Default, Clone)]
pub struct SpriteHandles {
	pub handles: Vec<HandleUntyped>,
	pub atlas_loaded: bool,
}

#[derive(Default, Clone)]
pub struct MapState {
	pub map_loaded: bool,
}

impl Plugin for SetupPlugin {
	fn build(&self, app: &mut AppBuilder) {
		app.init_resource::<SpriteHandles>()
			.init_resource::<MapState>();
	}
}
